Skip to main content
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

frameworkId
string<uuid>
required

The framework id.

sectionId
string<uuid>
required

The framework document section id.

Query Parameters

page
integer
default:1

The page to return in a paginated query.

Required range: x >= 1
perPage
integer
default:25

Maximum number of items to return per page.

Required range: 1 <= x <= 100
includeResults
boolean
default:false

Whether to include each rule's results inline, in a results array.

projectId
string<uuid>

Only include items that apply to this project.

includeSubsectionRules
boolean
default:false

Whether to also include the rules mapped to the section's subsections.

Response

Status OK.

items
object[]
required